Subject: bug#32814: closed (Re: bug#32814: Error running guix system container)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 26 Sep 2018 21:44:02 +0000

Your bug report

#32814: Error running guix system container

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32814: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32814
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32814: Error running guix system container
From: [email-masked] (Ludovic Courtès)
To: Julien Lepiller <[email-masked]>
Cc: [email-masked]
Date: Wed, 26 Sep 2018 23:43:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Julien Lepiller <[email-masked]> skribis:

> Hi, I built a container on a foreign distro using:
>
> guix system container config.scm
>
> but then, when I run it most services can't start. From inside the
> container I tried to start the postgresql service I configured and got
> this message from the shepherd:
>
> herd: exception caught while executing 'start' on service 'udev':
> In procedure open-file: No such file or directory:
> "/run/booted-system/kernel/lib/modules/4.9.0-7-amd64/modules.devname"

Commit 23784f0c3342a0fab5bf2a1c15c300b9f0856872 fixes it in a crude but
efficient way.  :-)

Commit 09b7300c01a8e7100467c6caae9b2c8d8e673971 also helps.

>From there I can spawn a ‘guix system container’ script just fine.  The
tty services fail to start, but that’s fine, we don’t need them; you can
still enter the container namespaces, run “herd status” etc.

Thanks,
Ludo’.

Subject: Error running guix system container
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Date: Sun, 23 Sep 2018 22:46:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, I built a container on a foreign distro using:

guix system container config.scm

but then, when I run it most services can't start. From inside the
container I tried to start the postgresql service I configured and got
this message from the shepherd:

herd: exception caught while executing 'start' on service 'udev':
In procedure open-file: No such file or directory:
"/run/booted-system/kernel/lib/modules/4.9.0-7-amd64/modules.devname"

From IRC, I got this hint:

22:32 < civodul> roptat: re module loading, i was referring to what
(gnu build linux-boot) does
22:33 < civodul> see make-static-device-nodes, which is itself called
from the udev 'start' method
22:35 < civodul> see commit 86e6b4c93104e2f83429b9e12f15ed62341289b4
22:35 < civodul> i suppose we could skip that in containers